Page MenuHomePhabricator

Path for en.wikiquote.org uploaded logo is missing in InitialiseSettings.php
Closed, ResolvedPublic

Description

In T170722 static image was successfully updated; however, it still needs to be refreshed on Wikiquote itself as old image is still displayed for some reason...

Details

Related Gerrit Patches:
operations/mediawiki-config : masterPath for enwikiquote logo

Event Timeline

Obsuser created this task.Jul 27 2017, 2:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2017, 2:02 AM
Obsuser triaged this task as Low priority.Jul 27 2017, 2:02 AM
MarcoAurelio added a subscriber: MarcoAurelio.

Maybe purgeList.php is required, although it should have updated already IMHO.

PurgeList was executed already.

Then I don't know what needs to be done here :(

What about client side cache?

My cache is cleared; I see non-updated logo on https://en.wikiquote.org/wiki/Main_Page in Chrome, Firefox and IE (different alignment of the upper part, colors etc. can be seen relative to https://sr.wikiquote.org/wiki/Main_Page).

Can you try it in inkognito window? Or another computer?

Obsuser added a comment.EditedJul 27 2017, 5:43 PM

Yes, I've already tried that; it's still same: old logo with first i more spaced from W than in updated version, and other already mentioned differences... When I visit static image URLs, however, it is updated there; it's weird.

Ah I see: enwikiquote path to logo is missing in InitialiseSettings.php so it takes wikiquote.png as default. Adding the path to the enwikiquote logo would fix it if I am right.

MarcoAurelio renamed this task from Refresh logo on en.wikiquote.org to Path for en.wikiquote.org uploaded logo is missing in InitialiseSettings.php.Jul 27 2017, 6:34 PM

Change 368233 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] Path for enwikiquote logo

https://gerrit.wikimedia.org/r/368233

Maybe the default logo should be fixed too. I feel just duplicating the file enwikiquote.png, save a copy and rename to replace the old one could do it.

When will this get resolved?

In a couple of hours if all goes as expected. I could not be present on today's morning deployment window so I've added to today's last window. Regards and sorry for the issues.

OK, no problem, thanks. I plan to update all sr project logos, one by one...

Change 368233 merged by jenkins-bot:
[operations/mediawiki-config@master] Path for enwikiquote logo

https://gerrit.wikimedia.org/r/368233

Mentioned in SAL (#wikimedia-operations) [2017-07-31T23:32:04Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:368233|Path for enwikiquote logo]] T171810 (duration: 00m 43s)

MarcoAurelio closed this task as Resolved.Jul 31 2017, 11:34 PM

Done.